### Method

# St IconTheme list_icons

#### Declaration [src]

    GList*
    st_icon_theme_list_icons (
      StIconTheme* icon_theme,
      const char* context
    )

#### Description [src]

Lists the icons in the current icon theme. Only a subset of the icons can be listed by providing a context string. The set of values for the context string is system dependent, but will typically include such values as “Applications” and “MimeTypes”. Contexts are explained in the Icon Theme Specification. The standard contexts are listed in the Icon Naming Specification. Also see st_icon_theme_list_contexts().

#### Parameters

`context`

  Type: `const char*`

  A string identifying a particular type of icon, or `NULL` to list all icons.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: A list of `utf8`

A `GList` list holding the names of all the icons in the theme. You must first free each element in the list with g_free(), then free the list itself with g_list_free().

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.